# Uses of Interface
java.lang.classfile.Signature.ThrowableSig

Packages that use Signature.ThrowableSig
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of Signature.ThrowableSig in java.lang.classfile

Subinterfaces of Signature.ThrowableSig in java.lang.classfile
Modifier and Type
Interface
Description
`static interface`
`Signature.ClassTypeSig`
Models the signature of a possibly-parameterized class or interface type.
`static interface`
`Signature.TypeVarSig`
Models the signature of a type variable.
Methods in java.lang.classfile that return types with arguments of type Signature.ThrowableSig
Modifier and Type
Method
Description
`List<Signature.ThrowableSig>`
MethodSignature.`throwableSignatures()`
Returns the signatures of the exceptions thrown by this method or constructor.